﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using Syncfusion.XForms.PopupLayout;

namespace SfPopupProblems
{
   [XamlCompilation(XamlCompilationOptions.Compile)]
   public partial class Page2 : ContentPage
   {
      public Page2()
      {
         InitializeComponent();
      }

      private void Temperature_Unfocused(object sender, FocusEventArgs e)
      {
         if (Temperature.Text == null || Temperature.Text == "")
         {
            SfPopupLayout popupLayout;
            DataTemplate templateView;
            Label popupContent;

            templateView = new DataTemplate(() =>
            {
               popupContent = new Label();
               popupContent.Text = "An entry is required for the temperature.";
               popupContent.HorizontalTextAlignment = TextAlignment.Center;
               return popupContent;
            });

            popupLayout = new SfPopupLayout();
            popupLayout.PopupView.ContentTemplate = templateView;
            popupLayout.PopupView.HeaderTitle = "Temperature Required";
            popupLayout.PopupView.AcceptButtonText = "OK";

            popupLayout.PopupView.ShowCloseButton = true;
            //popupLayout.IsOpen = true;

            popupLayout.Show();
            return;
         }

         // do some math here.
      }
   }
}