using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.XForms.PopupLayout;

namespace SfPopupProblems
{
   public partial class MainPage : ContentPage
   {
      public Command<SfPopupLayout> OpenSaveDBDialog { get; set; }
      public MainPage()
      {
         InitializeComponent();

         this.OpenSaveDBDialog = new Command<SfPopupLayout>(this.DisplaySaveDBDialog);
         this.BindingContext = this;
      }

      private void DisplaySaveDBDialog(SfPopupLayout popupLayout)
      {
         popupLayout.Show();
      }

      private async void BtnNextPage_Clicked(object sender, EventArgs e)
      {
         await Navigation.PushAsync(new Page2());
      }
   }
}
